import React, { useState } from 'react';
import Logo from '../components/Logo';
import AudioRecorder from '../components/AudioRecorder';
import TranscriptionField from '../components/TranscriptionField';
import CopyButton from '../components/CopyButton';
import './HomePage.css';

const HomePage = () => {
  const [transcription, setTranscription] = useState('');

  const handleTranscriptionComplete = (text) => {
    setTranscription(text);
  };

  const handleCopy = () => {
    navigator.clipboard.writeText(transcription);
  };

  return (
    <div className="home-page">
      <Logo />
      <AudioRecorder onTranscriptionComplete={handleTranscriptionComplete} />
      <TranscriptionField transcription={transcription} />
      <CopyButton onClick={handleCopy} disabled={!transcription} />
    </div>
  );
};

export default HomePage;

